--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.29, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.29, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.79, 0.02, "- DLK M32 L-AS Info -");
		renderText(0.72, 0.77, 0.02, "Taste POS1: Blaulicht");
		renderText(0.72, 0.75, 0.02, "Taste Space: Martinshorn");
		renderText(0.72, 0.73, 0.02, "Taste 0: Hupe");
	  --renderText(0.72, 0.71, 0.02, "");
		renderText(0.72, 0.69, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.67, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.65, 0.02, "Taste Numpad 3: Blinker rechts");
	  --renderText(0.72, 0.63, 0.02, "");
		renderText(0.72, 0.61, 0.02, "1. Zum ausfahren der Stuetzen...");
        renderText(0.72, 0.59, 0.02, "...an das hintere Steuerpult gehen");
        renderText(0.72, 0.57, 0.02, "2. Knick-Leiter ausfahren (Rote Leiter)");
	  --renderText(0.72, 0.55, 0.02, "");
		renderText(0.72, 0.53, 0.02, "Taste 5/6: Knick-Leiter ein-/ausfahren");
		renderText(0.72, 0.51, 0.02, "Taste B/V: Leiterteil abknicken");
	  --renderText(0.72, 0.49, 0.02, "");
		renderText(0.72, 0.47, 0.02, "- Freie Kontrolle ueber den Leiterpark: -");
		renderText(0.72, 0.45, 0.02, "Taste Num 4/6 : Leiterpark drehen");
		renderText(0.72, 0.43, 0.02, "Taste Num 8/5 : Leiterpark hoch-/runterfahren");
		renderText(0.72, 0.41, 0.02, "Taste N/M: Untere Leiter ein-/ausfahren");
        renderText(0.72, 0.39, 0.02, "Taste J/K: Mittlere Leiter ein-/ausfahren");      
      --renderText(0.72, 0.37, 0.02, "");      
        renderText(0.72, 0.35, 0.02, "Taste U/R: FW-Leute einblenden");      
        renderText(0.72, 0.32, 0.02, "Taste G: Heckwarnsystem einschalten");      
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




